      subroutine hax(n,w,x,y)
c     DANE: n - wymiar; w - wektor znaleziony przez podprogram trh.f 
c     wynik y=Hx, gdzie H=I-ww^T
      implicit none
      real*8 w,x,y,rob,O
      integer n,k
      dimension w(n),x(n),y(n)
      O=real(0)
      rob=O
      do 1,k=1,n,1
      rob=rob+w(k)*x(k)
    1 continue
      do 2,k=1,n,1
      y(k)=x(k)-rob*w(k)
    2 continue
      return
      end





